List the messages a task conversation turn owns
curl --request GET \
--url https://api.runaether.dev/tasks/{taskID}/turns/{turnID}/messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.runaether.dev/tasks/{taskID}/turns/{turnID}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.runaether.dev/tasks/{taskID}/turns/{turnID}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.runaether.dev/tasks/{taskID}/turns/{turnID}/messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.runaether.dev/tasks/{taskID}/turns/{turnID}/messages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.runaether.dev/tasks/{taskID}/turns/{turnID}/messages")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.runaether.dev/tasks/{taskID}/turns/{turnID}/messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"attachments": [
{
"filename": "<string>",
"index": 4,
"media_type": "<string>",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sha256": "<string>",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"kind": "user",
"sequence": 4503599627370495,
"state": "queued",
"text": "<string>",
"turn_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_event": {
"author": {
"login": "<string>",
"association": "<string>",
"type": "<string>"
},
"body": "<string>",
"kind": "pr_comment",
"pr_number": 4503599627370496,
"repo": {
"name": "<string>",
"owner": "<string>"
},
"action": "<string>",
"branch": "<string>",
"line": 4503599627370496,
"path": "<string>",
"review_id": 4503599627370496,
"review_state": "<string>",
"reviewer_task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>"
},
"sender": {
"display_name": "<string>",
"github_login": "<string>",
"kind": "user",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"tool_response": {
"data": {
"answers": {},
"custom_answers": {}
},
"tool_name": "ask_user"
}
}
],
"next_cursor": "<string>",
"turn_revision_sequence": 4503599627370495
}{
"code": "account_deleting",
"error": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"code": "org_membership_required",
"error": "<string>"
}{
"code": "account_deleting",
"error": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"code": "account_deleting",
"error": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"code": "account_deleting",
"error": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"code": "account_deleting",
"error": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}Tasks
List the messages a task conversation turn owns
One page of the transcript messages one conversation turn owns, in the order they were written; the first page holds the newest messages and next_cursor reads the older ones. Any member of the task’s organization may read it, a viewer included; a billing member is refused with 403 org_role_insufficient. A task or turn outside the caller’s reach is 404 not_found, and a malformed cursor, or one minted for another turn, is 422.
GET
/
tasks
/
{taskID}
/
turns
/
{turnID}
/
messages
List the messages a task conversation turn owns
curl --request GET \
--url https://api.runaether.dev/tasks/{taskID}/turns/{turnID}/messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.runaether.dev/tasks/{taskID}/turns/{turnID}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.runaether.dev/tasks/{taskID}/turns/{turnID}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.runaether.dev/tasks/{taskID}/turns/{turnID}/messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.runaether.dev/tasks/{taskID}/turns/{turnID}/messages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.runaether.dev/tasks/{taskID}/turns/{turnID}/messages")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.runaether.dev/tasks/{taskID}/turns/{turnID}/messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"attachments": [
{
"filename": "<string>",
"index": 4,
"media_type": "<string>",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sha256": "<string>",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"kind": "user",
"sequence": 4503599627370495,
"state": "queued",
"text": "<string>",
"turn_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_event": {
"author": {
"login": "<string>",
"association": "<string>",
"type": "<string>"
},
"body": "<string>",
"kind": "pr_comment",
"pr_number": 4503599627370496,
"repo": {
"name": "<string>",
"owner": "<string>"
},
"action": "<string>",
"branch": "<string>",
"line": 4503599627370496,
"path": "<string>",
"review_id": 4503599627370496,
"review_state": "<string>",
"reviewer_task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>"
},
"sender": {
"display_name": "<string>",
"github_login": "<string>",
"kind": "user",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"tool_response": {
"data": {
"answers": {},
"custom_answers": {}
},
"tool_name": "ask_user"
}
}
],
"next_cursor": "<string>",
"turn_revision_sequence": 4503599627370495
}{
"code": "account_deleting",
"error": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"code": "org_membership_required",
"error": "<string>"
}{
"code": "account_deleting",
"error": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"code": "account_deleting",
"error": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"code": "account_deleting",
"error": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"code": "account_deleting",
"error": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Query Parameters
Minimum string length:
1Required range:
1 <= x <= 200